const uint16 kRuleIdTable[] = {
    43,  // Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
  1945,  // Unknown "名詞,サ変接続"
  2020,  // FirstName "名詞,固有名詞,人名,名"
  2021,  // LastName "名詞,固有名詞,人名,姓"
  2059,  // Number "名詞,数,アラビア数字"
  2061,  // KanjiNumber "名詞,数,漢数字"
     2,  // WeakCompoundPrefix "^(接頭詞,名詞接続|接頭詞,丁寧連用形接続|フィラー)"
   288,  // AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
  2801,  // JapanesePunctuations "記号,(句点|読点)"
  2803,  // OpenBracket "記号,括弧開"
  2802,  // CloseBracket "記号,括弧閉"
  2818,  // Zipcode "特殊,郵便番号"
  2819,  // IsolatedWord "特殊,短縮よみ"
  2820,  // SuggestOnlyWord "特殊,サジェストのみ"
   731,  // ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
    43,  // SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
  2040,  // CounterSuffixWord "名詞,接尾,助数詞"
  2018,  // UniqueNoun "^名詞,固有名詞"
  1950,  // GeneralNoun "^名詞,一般,*,*,*,*,*$"
};
namespace {
// Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
const ::mozc::BasePOSMatcher::Range kRangeTable_Functional[] = {
  {   43,  615 },
  { 1095, 1944 },
  { 2030, 2056 },
  { 2070, 2380 },
  { 2650, 2762 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Unknown "名詞,サ変接続"
const ::mozc::BasePOSMatcher::Range kRangeTable_Unknown[] = {
  { 1945, 1948 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// FirstName "名詞,固有名詞,人名,名"
const ::mozc::BasePOSMatcher::Range kRangeTable_FirstName[] = {
  { 2020, 2020 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// LastName "名詞,固有名詞,人名,姓"
const ::mozc::BasePOSMatcher::Range kRangeTable_LastName[] = {
  { 2021, 2021 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Number "名詞,数,アラビア数字"
const ::mozc::BasePOSMatcher::Range kRangeTable_Number[] = {
  { 2059, 2059 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// KanjiNumber "名詞,数,漢数字"
const ::mozc::BasePOSMatcher::Range kRangeTable_KanjiNumber[] = {
  { 2061, 2068 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundPrefix "^(接頭詞,名詞接続|接頭詞,丁寧連用形接続|フィラー)"
const ::mozc::BasePOSMatcher::Range kRangeTable_WeakCompoundPrefix[] = {
  {    2,   11 },
  { 2765, 2765 },
  { 2767, 2796 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
const ::mozc::BasePOSMatcher::Range kRangeTable_AcceptableParticleAtBeginOfSegment[] = {
  {  288,  288 },
  {  291,  291 },
  {  300,  302 },
  {  343,  344 },
  {  347,  347 },
  {  349,  349 },
  {  363,  364 },
  {  377,  377 },
  {  381,  389 },
  {  392,  392 },
  {  401,  401 },
  {  403,  403 },
  {  413,  413 },
  {  433,  433 },
  {  449,  449 },
  {  455,  455 },
  {  472,  472 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// JapanesePunctuations "記号,(句点|読点)"
const ::mozc::BasePOSMatcher::Range kRangeTable_JapanesePunctuations[] = {
  { 2801, 2801 },
  { 2804, 2804 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// OpenBracket "記号,括弧開"
const ::mozc::BasePOSMatcher::Range kRangeTable_OpenBracket[] = {
  { 2803, 2803 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CloseBracket "記号,括弧閉"
const ::mozc::BasePOSMatcher::Range kRangeTable_CloseBracket[] = {
  { 2802, 2802 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Zipcode "特殊,郵便番号"
const ::mozc::BasePOSMatcher::Range kRangeTable_Zipcode[] = {
  { 2818, 2818 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// IsolatedWord "特殊,短縮よみ"
const ::mozc::BasePOSMatcher::Range kRangeTable_IsolatedWord[] = {
  { 2819, 2819 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuggestOnlyWord "特殊,サジェストのみ"
const ::mozc::BasePOSMatcher::Range kRangeTable_SuggestOnlyWord[] = {
  { 2820, 2820 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
const ::mozc::BasePOSMatcher::Range kRangeTable_ContentWordWithConjugation[] = {
  {  731, 1052 },
  { 2381, 2649 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
const ::mozc::BasePOSMatcher::Range kRangeTable_SuffixWord[] = {
  {   43,  615 },
  {  712,  724 },
  { 1095, 1944 },
  { 2210, 2380 },
  { 2650, 2762 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CounterSuffixWord "名詞,接尾,助数詞"
const ::mozc::BasePOSMatcher::Range kRangeTable_CounterSuffixWord[] = {
  { 2040, 2040 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// UniqueNoun "^名詞,固有名詞"
const ::mozc::BasePOSMatcher::Range kRangeTable_UniqueNoun[] = {
  { 2018, 2027 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// GeneralNoun "^名詞,一般,*,*,*,*,*$"
const ::mozc::BasePOSMatcher::Range kRangeTable_GeneralNoun[] = {
  { 1950, 1950 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
}  // namespace
const ::mozc::BasePOSMatcher::Range *const kRangeTables[19] = {
  kRangeTable_Functional,
  kRangeTable_Unknown,
  kRangeTable_FirstName,
  kRangeTable_LastName,
  kRangeTable_Number,
  kRangeTable_KanjiNumber,
  kRangeTable_WeakCompoundPrefix,
  kRangeTable_AcceptableParticleAtBeginOfSegment,
  kRangeTable_JapanesePunctuations,
  kRangeTable_OpenBracket,
  kRangeTable_CloseBracket,
  kRangeTable_Zipcode,
  kRangeTable_IsolatedWord,
  kRangeTable_SuggestOnlyWord,
  kRangeTable_ContentWordWithConjugation,
  kRangeTable_SuffixWord,
  kRangeTable_CounterSuffixWord,
  kRangeTable_UniqueNoun,
  kRangeTable_GeneralNoun,
};
